﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post8633
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-13489190.640203, 6770688.3878937, -3722899.3866568, -1042344.6149435);
                Map1.MapUnit = GeographyUnit.Meter;

                Map1.MapTools.OverlaySwitcher.Enabled = true;
                Map1.MapTools.MouseCoordinate.Enabled = true;

                //GoogleMapsLayer googleMapLayer = new GoogleMapsLayer();
                //Map1.StaticOverlay.Layers.Add(googleMapLayer);

                GoogleOverlay googleOverlay = new GoogleOverlay("Google Map");
                Map1.CustomOverlays.Add(googleOverlay);

                InMemoryMarkerOverlay markerOverlay = new InMemoryMarkerOverlay("InMemoryMarkerOverlay");
                markerOverlay.Features.Add("Kansas", new Feature(-10871824.584253, 4045893.1281542));
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage = new WebImage("../../theme/default/img/marker_blue.gif", 21, 25);
                markerOverlay.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.CustomOverlays.Add(markerOverlay);
            }
        }
    }
}
